{"openapi":"3.0.4","info":{"title":"Get dates for a specific calendar","description":"Get dates from a specific calendar within a specific window of effective time, at a point in AsAt time.\r\nProviding an id filter can further refine the results.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/calendars/generic/{scope}/{code}/dates":{"get":{"tags":["Calendars"],"summary":"Get dates for a specific calendar","description":"Get dates from a specific calendar within a specific window of effective time, at a point in AsAt time.\r\nProviding an id filter can further refine the results.","operationId":"GetDates","parameters":[{"name":"scope","in":"path","description":"Scope of the calendar","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"Code of the calendar","required":true,"schema":{"maxLength":64,"minLength":1,"type":"string"}},{"name":"fromEffectiveAt","in":"query","description":"Where the effective window of dates should begin from","schema":{"maxLength":256,"minLength":0,"pattern":"^[a-zA-Z0-9\\-_\\+:\\.]+$","type":"string","format":"dateorcutlabel"}},{"name":"toEffectiveAt","in":"query","description":"Where the effective window of dates should end","schema":{"maxLength":256,"minLength":0,"pattern":"^[a-zA-Z0-9\\-_\\+:\\.]+$","type":"string","format":"dateorcutlabel"}},{"name":"asAt","in":"query","description":"AsAt the dates should be retrieved at","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"idFilter","in":"query","description":"An additional filter that will filter dates based on their identifer","schema":{"type":"array","items":{"type":"string"}},"x-nullable":true}],"responses":{"200":{"description":"The requested date","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfCalendarDate"},"example":{"values":[{"href":"https://myco.lusid.com/api/api/calendar/dates","dateIdentifier":"TestDate","fromUtc":"2020-01-25T00:00:00.0000000+00:00","toUtc":"2020-01-26T00:00:00.0000000+00:00","localDate":"2020-01-25","timezone":"CET","description":"Chinese New year","type":"Holiday","sourceData":{}}],"links":[]}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfCalendarDate"},"example":{"values":[{"href":"https://myco.lusid.com/api/api/calendar/dates","dateIdentifier":"TestDate","fromUtc":"2020-01-25T00:00:00.0000000+00:00","toUtc":"2020-01-26T00:00:00.0000000+00:00","localDate":"2020-01-25","timezone":"CET","description":"Chinese New year","type":"Holiday","sourceData":{}}],"links":[]}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/ResourceListOfCalendarDate"},"example":{"values":[{"href":"https://myco.lusid.com/api/api/calendar/dates","dateIdentifier":"TestDate","fromUtc":"2020-01-25T00:00:00.0000000+00:00","toUtc":"2020-01-26T00:00:00.0000000+00:00","localDate":"2020-01-25","timezone":"CET","description":"Chinese New year","type":"Holiday","sourceData":{}}],"links":[]}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}